Disable payment link | Moov Documentation

Disable payment link

Disable a payment link.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/transfers.write scope.

Request Method

DELETE

Endpoint

/accounts/{accountID}/payment-links/{paymentLinkCode}

Example CURL Request

curl -X DELETE "https://api.moov.io/accounts/{accountID}/payment-links/{paymentLinkCode}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Example: TypeScript

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.paymentLinks.disable({
    accountID: "c1cf000d-0dd9-4dec-bd5e-a88e135adf82",
    paymentLinkCode: "uc7ZYKrMhi",
  });

console.log(result);
}

run();

Example: PHP

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\